You are not logged in.

#1 2017-06-06 18:09:09

thepasto
Member
From: trash:///
Registered: 2009-03-16
Posts: 51

[SOLVED] Can't compile perl packages

Hi,
I messed up my perl environement!
So i tried to delete and reinstall some modules from aur, but currently i am not able to build them anymore:

 
yaourt -S perl-goo-canvas
Can't locate build/doc.pl in @INC (@INC contains: blib/lib blib/arch /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl) at /usr/lib/perl5/vendor_perl/Glib/GenPod.pm line 247

Anybody knows what is missing?

Thanks!

Last edited by thepasto (2017-06-06 18:54:33)

Offline

#2 2017-06-06 18:13:45

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 23,810
Website

Re: [SOLVED] Can't compile perl packages

Please edit your thread title and change it to one that actually describes your issue: https://wiki.archlinux.org/index.php/Co … ow_to_post



Moving to AUR Issues.


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#3 2017-06-06 18:45:14

Ropid
Member
Registered: 2015-03-09
Posts: 403

Re: [SOLVED] Can't compile perl packages

I'm guessing this is caused by a change in perl 5.26. Look at the first thing discussed in the news here:

http://blogs.perl.org/users/sawyer_x/20 … lable.html

This particular package "perl-goo-canvas" that you are trying to build works if you change the "make" on line 23 of the PKGBUILD into this:

  PERL_USE_UNSAFE_INC=1 make

Offline

#4 2017-06-06 18:54:19

thepasto
Member
From: trash:///
Registered: 2009-03-16
Posts: 51

Re: [SOLVED] Can't compile perl packages

Yes! That's it!
Thank you very much

Offline

Board footer

Powered by FluxBB